Skip to main content

Retrieve Agent Run Details

Get the details, transcript, and recording for an agent run
1 min read
get/api/v1/workflow/{workflow_id}/runs/{run_id}
Request example
Response
get/api/v1/workflow/{workflow_id}/runs/{run_id}

Returns the full run record including run status, duration, transcript URL, recording URL, gathered context, and usage/cost info.

Use the recording_url and transcript_url directly, or use the Download endpoint to generate time-limited public URLs for sharing.

Path parameters

workflow_idintegerrequired#
run_idintegerrequired#

Headers

authorizationstring · null#
X-API-Keystring · null#

Responses

application/json
Successful Response
idintegerrequired#
workflow_idintegerrequired#
namestringrequired#
modestringrequired#
created_atstringrequired#
is_completedbooleanrequired#
transcript_urlstring · nullrequired#
Show child attributes
recording_urlstring · nullrequired#
Show child attributes
user_recording_urlstring · null#
Show child attributes
bot_recording_urlstring · null#
Show child attributes
transcript_public_urlstring · null#
Show child attributes
recording_public_urlstring · null#
Show child attributes
user_recording_public_urlstring · null#
Show child attributes
bot_recording_public_urlstring · null#
Show child attributes
public_access_tokenstring · null#
Show child attributes
cost_infoobject · nullrequired#
Show child attributes
usage_infoobject · null#
Show child attributes
definition_idinteger · nullrequired#
Show child attributes
initial_contextobject · null#
Show child attributes
gathered_contextobject · null#
Show child attributes
call_typeenum<string>required#
Options:inboundoutbound
logsobject · null#
Show child attributes
annotationsobject · null#
Show child attributes